### Hierarchy

- ConditionExpressionDefinitionChain

## Index

### Properties

- attributeExists
- attributeNotExists
- beginsWith
- between
- contains
- eq
- equals
- gt
- gte
- in
- lt
- lte
- ne
- notContains
- notNull
- null
- type

## Properties

### attributeExists

attributeExists: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:20

#### Type declaration

- - (): ConditionExpressionDefinitionFunction

  - #### Returns ConditionExpressionDefinitionFunction

### attributeNotExists

attributeNotExists: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:21

#### Type declaration

- - (): ConditionExpressionDefinitionFunction

  - #### Returns ConditionExpressionDefinitionFunction

### beginsWith

beginsWith: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:18

#### Type declaration

- - (value: any): ConditionExpressionDefinitionFunction

  - #### Parameters

    - ##### value: any

    #### Returns ConditionExpressionDefinitionFunction

### between

between: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:19

#### Type declaration

- - (value1: any, value2: any): ConditionExpressionDefinitionFunction

  - #### Parameters

    - ##### value1: any

    - ##### value2: any

    #### Returns ConditionExpressionDefinitionFunction

### contains

contains: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:14

#### Type declaration

- - (value: any): ConditionExpressionDefinitionFunction

  - #### Parameters

    - ##### value: any

    #### Returns ConditionExpressionDefinitionFunction

### eq

eq: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:6

#### Type declaration

- - (value: any): ConditionExpressionDefinitionFunction

  - #### Parameters

    - ##### value: any

    #### Returns ConditionExpressionDefinitionFunction

### equals

equals: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:5

#### Type declaration

- - (value: any): ConditionExpressionDefinitionFunction

  - #### Parameters

    - ##### value: any

    #### Returns ConditionExpressionDefinitionFunction

### gt

gt: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:11

#### Type declaration

- - (value: any): ConditionExpressionDefinitionFunction

  - #### Parameters

    - ##### value: any

    #### Returns ConditionExpressionDefinitionFunction

### gte

gte: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:10

#### Type declaration

- - (value: any): ConditionExpressionDefinitionFunction

  - #### Parameters

    - ##### value: any

    #### Returns ConditionExpressionDefinitionFunction

### in

in: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:17

#### Type declaration

- - (value: any[]): ConditionExpressionDefinitionFunction

  - #### Parameters

    - ##### value: any[]

    #### Returns ConditionExpressionDefinitionFunction

### lt

lt: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:9

#### Type declaration

- - (value: any): ConditionExpressionDefinitionFunction

  - #### Parameters

    - ##### value: any

    #### Returns ConditionExpressionDefinitionFunction

### lte

lte: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:8

#### Type declaration

- - (value: any): ConditionExpressionDefinitionFunction

  - #### Parameters

    - ##### value: any

    #### Returns ConditionExpressionDefinitionFunction

### ne

ne: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:7

#### Type declaration

- - (value: any): ConditionExpressionDefinitionFunction

  - #### Parameters

    - ##### value: any

    #### Returns ConditionExpressionDefinitionFunction

### notContains

notContains: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:15

#### Type declaration

- - (value: any): ConditionExpressionDefinitionFunction

  - #### Parameters

    - ##### value: any

    #### Returns ConditionExpressionDefinitionFunction

### notNull

notNull: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:13

#### Type declaration

- - (): ConditionExpressionDefinitionFunction

  - #### Returns ConditionExpressionDefinitionFunction

### null

null: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:12

#### Type declaration

- - (): ConditionExpressionDefinitionFunction

  - #### Returns ConditionExpressionDefinitionFunction

### type

type: function

- Defined in dynamo/expression/type/condition-expression-definition-chain.ts:16

#### Type declaration

- - (value: AttributeType): ConditionExpressionDefinitionFunction

  - #### Parameters

    - ##### value: AttributeType

    #### Returns ConditionExpressionDefinitionFunction

Generated using TypeDoc